#
# spec file for package tree-sitter-bash
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name bash
Summary:        Bash grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.21.0
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-bash
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%license LICENSE
%{treesitter_files}

%changelog
* Mon Mar 25 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * docs: add pypi badge
  * feat!: use the array api in the scanner
  * build: update makefile for macos installation
  * ci: bump tree-sitter/parser-setup-action from 1.1 to 1.2
  * ci: update workflows
  * build: update bindings and versions
  * docs: update badges
  * ci: bump actions/setup-node from 3 to 4
  * ci: bump actions/checkout from 3 to 4
  * ci: add dependabot for actions
  * docs: remove unnecessary space
  * Remove AppVeyor (#247)
  * fix: use `iswalpha`
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.5:
  * chore: update parse script
  * chore: update tests
  * chore: generate
  * fix: allow asterisk in globs
  * fix: partial revert redirect changes, allow command sub in numbers w/ a base
  * fix: mark end when parsing strings
  * fix: better glob parsing
  * fix: parse single quote strings for certain regex tokens
  * fix: account for escaped opening braces in regex parsing
